<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('home') }}</h1>
      </div>
    </div>
    <Header />
    <div id="contents">
      <div id="menu">
        <ul class="clearfix">
          <li v-if="Products">
            <dl>
              <dt>
                <router-link to="/viewproduct">
                  <img
                    alt="タックシール印刷"
                    height="168"
                    src="img/icon-product.png"
                    width="168"
                  />
                </router-link>
              </dt>
              <dd>
                <span>{{ i18ntext.lngText('product_stock') }}</span>
              </dd>
            </dl>
          </li>
          <li v-if="Pharmacy">
            <dl>
              <dt>
                <router-link to="/patientRegister">
                  <img
                    alt="タックシール印刷"
                    height="168"
                    src="img/icon-pharmacy.png"
                    width="168"
                  />
                </router-link>
              </dt>
              <dd>
                <span>{{ i18ntext.lngText('patient') }}</span>
              </dd>
            </dl>
          </li>
          <li v-if="Expenses">
            <dl>
              <dt>
                <router-link to="/expenses">
                  <img
                    alt="タックシール印刷"
                    height="168"
                    src="img/icon-expense.png"
                    width="168"
                  />
                </router-link>
              </dt>
              <dd>
                <span>{{ i18ntext.lngText('expense') }}</span>
              </dd>
            </dl>
          </li>
          <li v-if="Company">
            <dl>
              <dt>
                <router-link to="/company">
                  <img
                    alt="タックシール印刷"
                    height="168"
                    src="img/icon-clinic.png"
                    width="168"
                  />
                </router-link>
              </dt>
              <dd>
                <span>{{ i18ntext.lngText('company') }}</span>
              </dd>
            </dl>
          </li>
          <li v-if="Employee">
            <dl>
              <dt>
                <router-link to="/employee">
                  <img
                    alt="タックシール印刷"
                    height="168"
                    src="img/icon-staff.png"
                    width="168"
                  />
                </router-link>
              </dt>
              <dd>
                <span>{{ i18ntext.lngText('emp') }}</span>
              </dd>
            </dl>
          </li>
          <li v-if="Report">
            <dl>
              <dt>
                <router-link to="/report">
                  <img
                    alt="タックシール印刷"
                    height="168"
                    src="img/icon-report.png"
                    width="168"
                  />
                </router-link>
              </dt>
              <dd>
                <span>{{ i18ntext.lngText('report') }}</span>
              </dd>
            </dl>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <UserInfo />
</template>
<script>
import Auth from "../auth/Auth.js";
import Footer from "../components/footer.vue";
import Header from "../components/Header.vue";
import Logo from "../components/logo.vue";
import i18n from "../i18n/i18n";
import UserInfo from "./UserInfo.vue"
export default {
  components: { Header, Logo, Footer,UserInfo },
  data() {
    return {
      i18ntext: i18n,
      Menu: window.Menu,
      Products: true,
      Pharmacy: true,
      Laboratory: true,
      Expenses: true,
      Company: true,
      Employee: true,
      Report: true,
    };
  },
  mounted() {
    if (!Auth.check()) {
      router.push("/");
    }
    if (Auth.user.role) {
      if (!Auth.checkPermission("PRODUCT_ALL")) {
        this.Products = false;
      }
      if (!Auth.checkPermission("PHARMACY_ALL")) {
        this.Pharmacy = false;
      }
      if (!Auth.checkPermission("LABORATORY_ALL")) {
        this.Laboratory = false;
      }
      if (!Auth.checkPermission("EXPENSES_ALL")) {
        this.Expenses = false;
      }
      if (!Auth.checkPermission("COMPANY_ALL")) {
        this.Company = false;
      }
      if (!Auth.checkPermission("EMPLOYEE_ALL")) {
        this.Employee = false;
      }
      if (!Auth.checkPermission("REPORT_ALL")) {
        this.Report = false;
      }
    }
  },
};
</script>
